/[gentoo-x86]/sys-kernel/hardened-sources/hardened-sources-2.6.35-r1.ebuild
Gentoo

Contents of /sys-kernel/hardened-sources/hardened-sources-2.6.35-r1.ebuild

Parent Directory Parent Directory | Revision Log Revision Log


Revision 1.2 - (hide annotations) (download)
Sun Oct 24 10:16:07 2010 UTC (7 years, 3 months ago) by blueness
Branch: MAIN
CVS Tags: HEAD
Changes since 1.1: +1 -1 lines
FILE REMOVED
Removing vulnerable kernels where possible, bug #341801

(Portage version: 2.1.9.16/cvs/Linux x86_64)

1 blueness 1.1 # Copyright 1999-2010 Gentoo Foundation
2     # Distributed under the terms of the GNU General Public License v2
3 blueness 1.2 # $Header: /var/cvsroot/gentoo-x86/sys-kernel/hardened-sources/hardened-sources-2.6.35-r1.ebuild,v 1.1 2010/09/30 19:54:43 blueness Exp $
4 blueness 1.1
5     ETYPE="sources"
6     K_WANT_GENPATCHES="base extras"
7     K_GENPATCHES_VER="10"
8    
9     inherit kernel-2
10     detect_version
11    
12     HGPV="${KV_MAJOR}.${KV_MINOR}.${KV_PATCH}-2"
13     HGPV_URI="mirror://gentoo/hardened-patches-${HGPV}.extras.tar.bz2"
14     SRC_URI="${KERNEL_URI} ${HGPV_URI} ${GENPATCHES_URI} ${ARCH_URI}"
15    
16     UNIPATCH_LIST="${DISTDIR}/hardened-patches-${HGPV}.extras.tar.bz2"
17     UNIPATCH_EXCLUDE="4200_fbcondecor-0.9.6.patch"
18    
19     DESCRIPTION="Hardened kernel sources (kernel series ${KV_MAJOR}.${KV_MINOR})"
20     HOMEPAGE="http://www.gentoo.org/proj/en/hardened/"
21     IUSE=""
22    
23     KEYWORDS="~alpha ~amd64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
24    
25     pkg_postinst() {
26     kernel-2_pkg_postinst
27    
28     local GRADM_COMPAT="sys-apps/gradm-2.2.0*"
29    
30     ewarn
31     ewarn "Hardened Gentoo provides four different predefined grsecurity level:"
32     ewarn "[server], [server no rbac] [workstation] [workstation no rbac]"
33     ewarn
34     ewarn "Those who intend to use one of these predefined grsecurity levels"
35     ewarn "should read the help associated with the level. Users importing a"
36     ewarn "kernel configuration from a kernel prior to ${PN}-2.6.32,"
37     ewarn "should review their selected grsecurity/PaX options carefully."
38     ewarn
39     ewarn "Users of grsecurity's RBAC system must ensure they are using"
40     ewarn "${GRADM_COMPAT}, which is compatible with ${PF}."
41     ewarn "It is strongly recommended that the following command is issued"
42     ewarn "prior to booting a ${PF} kernel for the first time:"
43     ewarn
44     ewarn "emerge -na =${GRADM_COMPAT}"
45     ewarn
46     }

  ViewVC Help
Powered by ViewVC 1.1.20